kdevelop-python (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:49:59 +0000

kdevelop-python (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:22:19 +0000

kdevelop-python (25.12.1-0ubuntu4) resolute; urgency=medium

  * Bump allowed Python versions

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Feb 2026 10:56:49 +0000

kdevelop-python (25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:56:42 +0000

kdevelop-python (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:56:08 +0000

kdevelop-python (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:02:35 +0000

kdevelop-python (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:20:01 +0000

kdevelop-python (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:04:18 +0000

kdevelop-python (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 09:22:32 +0000

kdevelop-python (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:23:03 +0000

kdevelop-python (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 64.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:33 +0100

kdevelop-python (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:26 +0100

kdevelop-python (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:51:54 +0100

kdevelop-python (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:44:25 +0100

kdevelop-python (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 63.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 13:24:18 +0100

kdevelop-python (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:16 +0100

kdevelop-python (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:44:14 +0100

kdevelop-python (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:44 +0100

kdevelop-python (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 62

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:27 +0100

kdevelop-python (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend and depend on python3-defaults meta packages instead
      of specific versions.
    - Limit build to architectures where kdevelop-dev is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 09:45:26 +0000

kdevelop-python (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Bump the kdevelop-dev build dependency to 24.12.3, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Mar 2025 06:41:46 +0100

kdevelop-python (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:59 +0000

kdevelop-python (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:15:34 +0000

kdevelop-python (24.12.1-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * Build with Python 3.13 (Closes: #1092063).
  * Cherry-pick upstream patch for Python 3.13 compatibility.
  * Update Standards-Version to 4.7.0 (no changes required).

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Drop Python 3.13 compatibility patches, now shipped upstream.
  * Build with hardening=+all build hardening flag.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 23:59:29 +0100

kdevelop-python (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where kdevelop-dev is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:30:10 +0000

kdevelop-python (24.12.0-0ubuntu4) plucky; urgency=medium

  * Build depend and depend on python3-defaults meta packages instead of
    specific versions.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Jan 2025 11:40:51 +0000

kdevelop-python (24.12.0-0ubuntu3) plucky; urgency=medium

  * Fix build with python 3.13 as default.

 -- Rik Mills <rikmills@kde.org>  Sat, 04 Jan 2025 14:53:46 +0000

kdevelop-python (24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:39 +0100

kdevelop-python (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps and build system for Qt6/KF6.
  * Bump KDEV_PLUGIN_VERSION to 61, according to upstream.
  * Update install files.
  * Bump stardards to 4.7.0, no changes required.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2024 03:22:38 +0000

kdevelop-python (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:15 +1100

kdevelop-python (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:53:09 +0000

kdevelop-python (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:18 +0100

kdevelop-python (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:44:37 -0700

kdevelop-python (23.08.4-0ubuntu3) noble; urgency=medium

  * Switch python build and runtime dependencies from 3.11 to 3.12.

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Jan 2024 06:52:04 +0000

kdevelop-python (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:43:06 +0000

kdevelop-python (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:41 +0000

kdevelop-python (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:14 +0000

kdevelop-python (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:31 +0100

kdevelop-python (23.08.1-2) unstable; urgency=medium

  * Team upload.
  * Build with python 3.12 (Closes: #1081080)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Sep 2024 22:40:47 +0200

kdevelop-python (23.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 23.08.1, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Sep 2023 17:22:33 +0200

kdevelop-python (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:33 +0100

kdevelop-python (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:27 +0100

kdevelop-python (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:18 +0100

kdevelop-python (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:46:03 +0100

kdevelop-python (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Adjust KDEV_PLUGIN_VERSION=511 in debian/rules
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:23 +0100

kdevelop-python (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:26 +0000

kdevelop-python (22.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 22.12.2, as indicated by the
    upstream build system.
  * Update the patches:
    - upstream_initial-support-for-python-3.11.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:59:51 +0100

kdevelop-python (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)
  * Remove reverse-applicable upstream patch.

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:48 -0600

kdevelop-python (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:16 +0000

kdevelop-python (22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 10:00:34 +0000

kdevelop-python (22.12.0-3) unstable; urgency=medium

  * Drop upstream_support-for-the-most-basic-cases-of-python-3.10-s-ma.patch:
    it is buggy, and upstream does not want it in stable versions yet (sigh).
    (Closes: #1027845)

 -- Pino Toscano <pino@debian.org>  Thu, 05 Jan 2023 08:43:56 +0100

kdevelop-python (22.12.0-2) unstable; urgency=medium

  * Update python3.10-dev build dependency to improve cross-building:
    - add libpython3.10-dev to ensure we have the development bits for the
      Python library we want
    - add python3.10:any to get a valid Python executable; the path is the
      same across all the architectures
    - drop python3.10-dev, replaced by the above two
  * Backport upstream commit 4bcec08fb400b7e5aeacd23c0c9649036627a06b, and
    commit c4ec40a9cac3e59930eb21a525d80aefdc1ee4e4 to support Python 3.11,
    and newer bits in Python 3.10+; patches
    upstream_initial-support-for-python-3.11.patch, and
    upstream_support-for-the-most-basic-cases-of-python-3.10-s-ma.patch.
  * Update the Python (build) dependencies according to the highest Python
    version in Debian:
    - switch the libpython3.10-dev build dependency to libpython3.11-dev
    - switch the python3.10:any build dependency to python3.11:any
    - switch the python3.10 dependency to python3.11

 -- Pino Toscano <pino@debian.org>  Wed, 28 Dec 2022 08:15:15 +0100

kdevelop-python (22.12.0-1) unstable; urgency=medium

  * New upstream release:
    - supports Python 3.10 (needed for #1008694)
  * Update standards version to 4.6.2, no changes needed.
  * Bump the kdevelop-dev build dependency to 22.12.0, as indicated by the
    upstream build system.
  * Update the Python (build) dependencies according to the current default
    version in Debian: (Closes: #1008694)
    - switch the python3.9-dev build dependency to python3.10-dev
    - switch the python3.9 dependency to python3.10
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 21:38:07 +0100

kdevelop-python (22.04.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * kdevelop-python is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0
    - bump kdevelop-dev to 22.04.1
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop the manually specified kf5 addon for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Remove inactive Uploaders.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 11:03:57 +0200

kdevelop-python (5.6.2-2) unstable; urgency=medium

  * Use the debhelper 13 replacement features in install files:
    - switch from ${KDEV_PLUGIN_VERSION} to ${env:KDEV_PLUGIN_VERSION}
    - remove the dh-exec build dependency, no more needed
    - remove the lintian override for the old method
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Use the ${misc:Pre-Depends} substvar in kdevelop-python-data.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Sep 2021 07:11:13 +0200

kdevelop-python (5.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.2, as indicated by the
    upstream build system.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 10:24:33 +0100

kdevelop-python (5.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.1, as indicated by the
    upstream build system.
  * Remove the unused upstream GPG signing key.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2020 10:16:25 +0100

kdevelop-python (5.6.0-2) unstable; urgency=medium

  * Update the Python (build) dependencies according to the new default
    version in Debian:
    - switch the python3.8-dev build dependency to python3.9-dev
    - switch the python3.8 dependency to python3.9
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch the watch file to version 4, no changes required.
  * Add the upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Nov 2020 09:54:12 +0100

kdevelop-python (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.0, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 34, according to upstream.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 16:51:17 +0200

kdevelop-python (5.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.5.2, as indicated by the
    upstream build system.
  * Set Rules-Requires-Root: no.
  * Fix typo in the 5.5.1-1 changelog stanza.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 12:16:20 +0200

kdevelop-python (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.5.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sun, 10 May 2020 07:35:31 +0200

kdevelop-python (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Enable all the reprotest variations in the salsa CI.
  * Bump the kdevelop-dev build dependency to 5.5.0, as indicated by the
    upstream build system.
  * Use an environment variable for the version of plugins, to minimize changes
    to kdevelop-python.install
    - add the dh-exec build dependency
    - override the lintian info on that
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.7-dev build dependency to python3.8-dev
    - switch the python3.7 dependency to python3.8

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2020 21:38:38 +0100

kdevelop-python (5.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.6, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jan 2020 08:30:24 +0100

kdevelop-python (5.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.5, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Dec 2019 22:43:35 +0100

kdevelop-python (5.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.4, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2019 08:30:44 +0100

kdevelop-python (5.4.2-2) unstable; urgency=medium

  * Team upload.
  * Depend on the newer ecm
  * Move qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Sep 2019 07:56:53 -0700

kdevelop-python (5.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 20:17:51 +0200

kdevelop-python (5.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Aug 2019 18:12:19 +0200

kdevelop-python (5.4.0-2) unstable; urgency=medium

  * Actually bump the kdevelop-dev build dependency to >= 4:5.4.0.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 11:15:42 +0200

kdevelop-python (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to >= 5.7.0
    - bump the KF packages to >= 5.28.0
    - bump kdevelop-dev to >= 5.4.0
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:10:43 +0200

kdevelop-python (5.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.3, as indicated by the
    upstream build system.
  * Switch from --list-missing to --fail-missing for dh_missing; everything is
    installed already.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2019 07:07:11 +0200

kdevelop-python (5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.2, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdevelop-python-dbg, no more needed after two
    Debian stable releases.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 08:15:28 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kdevelop-python-l10n`.
